# Created by pyp2rpm-3.3.2
%global pypi_name wslpy

Name:           python-%{pypi_name}
Version:        0.0.9
Release:        1%{?dist}
Summary:        Python Library for WSL specific tasks

License:        GPLv3
URL:            https://github.com/wslutilities/wslpy
Source0:        https://files.pythonhosted.org/packages/source/w/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 [![pypi]( is a Python3 library for WSL specific tasks, and you can use it to
do something amazing:python >>> import wslpy as wp >>> wp.isWSL>>>
wp.winsys.CmdExec('ver') Microsoft Windows [Version 10.0.18219.1000] >>>
wp.convert.to_path('/mnt/c/Windows/') 'c:\\Windows\\' Installationyou can
install from pypi using pip install wslpy, or install from source using python3
setup.py install...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
 [![pypi]( is a Python3 library for WSL specific tasks, and you can use it to
do something amazing:python >>> import wslpy as wp >>> wp.isWSL>>>
wp.winsys.CmdExec('ver') Microsoft Windows [Version 10.0.18219.1000] >>>
wp.convert.to_path('/mnt/c/Windows/') 'c:\\Windows\\' Installationyou can
install from pypi using pip install wslpy, or install from source using python3
setup.py install...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sun Feb 02 2020 mockbuilder - 0.0.9-1
- Initial package.